Bug 666882 - [abrt] Zim-0.49-1.fc14: pageindex.py:517:do_drag_data_received:TypeError: 'NoneType' object is not iterable
[abrt] Zim-0.49-1.fc14: pageindex.py:517:do_drag_data_received:TypeError: 'No...
Status: CLOSED DUPLICATE of bug 657928
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
abrt_hash:576a3332
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-03 11:10 EST by Renich Bon Ciric
Modified: 2011-02-15 12:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 12:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (659 bytes, text/plain)
2011-01-03 11:10 EST, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2011-01-03 11:10:20 EST
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/zim
comment: It crashed when draging down but it didn't crash when draging up.
component: Zim
executable: /usr/bin/zim
kernel: 2.6.35.10-74.fc14.x86_64
package: Zim-0.49-1.fc14
reason: pageindex.py:517:do_drag_data_received:TypeError: 'NoneType' object is not iterable
release: Fedora release 14 (Laughlin)
time: 1294070887
uid: 500

backtrace
-----
pageindex.py:517:do_drag_data_received:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 517, in do_drag_data_received
    treepath, position = self.get_dest_row_at_pos(x, y)
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
info: 2
dragcontext: <gtk.gdk.DragContext object at 0x23dcaa0 (GdkDragContext at 0x2389950)>
selectiondata: <GtkSelectionData at 0x7fff9ed5fac0>
self: <PageTreeView object at 0x1fc7e10 (zim+gui+pageindex+PageTreeView at 0x20640d0)>
source: <Path: iGB:IT>
names: [u'iGB:IT']
time: 86620689
y: 151
x: 39

How to reproduce
-----
1. Create a page > sub-page > subpage
2. Move page > subpage to root by draging it down (bellow page)
Comment 1 Renich Bon Ciric 2011-01-03 11:10:22 EST
Created attachment 471506 [details]
File: backtrace
Comment 2 Robin Lee 2011-01-03 11:37:59 EST
Can you show a detailed step-by-step reproducing procedure?
Comment 3 Robin Lee 2011-01-03 20:09:09 EST
And please run 'zim -D' and attach the output here.
Comment 4 Renich Bon Ciric 2011-01-03 21:29:34 EST
Couldn't reproduce the bug... but got some interesting errors with -D:


[renich@introdesk ~]$ zim -D
INFO: This is zim 0.49
DEBUG: Python version is sys.version_info(major=2, minor=7, micro=0, releaselevel='final', serial=0)
DEBUG: Platform is posix
DEBUG: Zim revision is:
	branch: pyzim-trunk
	revision: 321 pardus@cpan.org-20101102201414-4doq3n5g00juca17
	date: 2010-11-02 21:14:14 +0100

DEBUG: Not running from a source dir
DEBUG: Set XDG_DATA_HOME to /home/renich/.local/share
DEBUG: Set XDG_DATA_DIRS to [<Dir: /usr/share>, <Dir: /usr/local/share>]
DEBUG: Set XDG_CONFIG_HOME to /home/renich/.config
DEBUG: Set XDG_CONFIG_DIRS to [<Dir: /etc/xdg>]
DEBUG: Set XDG_CACHE_HOME to /home/renich/.cache
DEBUG: Running command: gui
DEBUG: Loading /home/renich/Notes/notebook.zim
DEBUG: Cache dir: /home/renich/Notes/.zim
DEBUG: Index database file: /home/renich/Notes/.zim/index.db
INFO: Opening default notebook
INFO: Starting UnixSocketDaemon
DEBUG: Socket address: /tmp/zim-renich/daemon-socket
DEBUG: Wrote /tmp/zim-renich/daemon.pid
DEBUG: Sending to daemon: ["ping",[],{}]

DEBUG: Daemon replied: "Ack"
DEBUG: Sending to daemon: ["vivicate",["zim.gui.GtkInterface","file:///home/renich/Notes"],{"usedaemon":true,"notebook":"file:///home/renich/Notes"}]

DEBUG: Child spawned 14166 ('zim.gui.GtkInterface', 'file:///home/renich/Notes')
DEBUG: No such signal: notebook-list-changed
DEBUG: Daemon replied: true
DEBUG: Sending to daemon: ["relay",[["zim.gui.GtkInterface","file:///home/renich/Notes"],"present",null],{"geometry":null,"fullscreen":null}]

DEBUG: Sending to child 14166: ["present",[null],{"geometry":null,"fullscreen":null}]

DEBUG: Daemon replied: true
[renich@introdesk ~]$ DEBUG: Loading /home/renich/.config/zim/preferences.conf
DEBUG: Gtk version is (2, 22, 0)
DEBUG: Pygtk version is (2, 17, 0)
WARNING: Could not find all icon sizes for the application icon
DEBUG: Loading /home/renich/.config/zim/style.conf
DEBUG: Loaded plugin attachmentbrowser (<AttachmentBrowserPlugin object at 0xfbb500 (zim+plugins+PluginClass at 0xfff500)>)
DEBUG: Loaded plugin calendar (<CalendarPlugin object at 0xfbbdc0 (zim+plugins+PluginClass at 0x1018380)>)
DEBUG: Registered plugin <InsertDiagramPlugin object at 0xfcb960 (zim+plugins+PluginClass at 0x1018220)> for image type "diagram"
DEBUG: Loaded plugin diagrameditor (<InsertDiagramPlugin object at 0xfcb960 (zim+plugins+PluginClass at 0x1018220)>)
DEBUG: Registered plugin <InsertEquationPlugin object at 0xfd90a0 (zim+plugins+PluginClass at 0x1025e40)> for image type "equation"
DEBUG: Loaded plugin equationeditor (<InsertEquationPlugin object at 0xfd90a0 (zim+plugins+PluginClass at 0x1025e40)>)
DEBUG: Registered plugin <InsertGNURPlotPlugin object at 0xfd9410 (zim+plugins+PluginClass at 0x1026360)> for image type "gnu_r_plot"
DEBUG: Loaded plugin gnu_r_ploteditor (<InsertGNURPlotPlugin object at 0xfd9410 (zim+plugins+PluginClass at 0x1026360)>)
DEBUG: Loaded plugin inlinecalculator (<InlineCalculatorPlugin object at 0xfd9e60 (zim+plugins+PluginClass at 0x1025e20)>)
/usr/lib/python2.7/site-packages/zim/gui/__init__.py:574: GtkWarning: Inserting action group 'CalendarPlugin' into UI manager which already has a group with this name

  self.uimanager.insert_action_group(handler.actiongroup, 0)
DEBUG: Loaded plugin insertsymbol (<CalendarPlugin object at 0xfe7230 (zim+plugins+PluginClass at 0x100f780)>)
DEBUG: Loaded plugin linkmap (<LinkMapPlugin object at 0x104daa0 (zim+plugins+PluginClass at 0x1037a40)>)
DEBUG: Loaded plugin printtobrowser (<PrintToBrowserPlugin object at 0x10641e0 (zim+plugins+PluginClass at 0x1038920)>)
DEBUG: Loaded plugin quicknote (<QuickNotePlugin object at 0x10b0fa0 (zim+plugins+PluginClass at 0x1026540)>)
DEBUG: Loaded plugin screenshot (<InsertScreenshotPlugin object at 0x10c1230 (zim+plugins+PluginClass at 0x1038da0)>)
DEBUG: Loaded plugin spell (<SpellPlugin object at 0x10c1410 (zim+plugins+PluginClass at 0x1120b00)>)
DEBUG: Loaded plugin tasklist (<TaskListPlugin object at 0x10d2370 (zim+plugins+tasklist+TaskListPlugin at 0x1038c40)>)
DEBUG: Sending to daemon: ["ping",[],{}]

DEBUG: Daemon replied: "Ack"
DEBUG: Sending to daemon: ["vivicate",["zim.plugins.trayicon.DaemonTrayIcon","TrayIcon"],{}]

DEBUG: Child spawned 14168 ('zim.plugins.trayicon.DaemonTrayIcon', 'TrayIcon')
DEBUG: No such signal: notebook-list-changed
DEBUG: Daemon replied: true
DEBUG: Loaded plugin trayicon (<TrayIconPlugin object at 0x10d28c0 (zim+plugins+PluginClass at 0x108dee0)>)
DEBUG: Loaded plugin versioncontrol (<VersionControlPlugin object at 0x10d2e60 (zim+plugins+PluginClass at 0x108df40)>)
DEBUG: Accelmap: /home/renich/.config/zim/accelmap
DEBUG: Opening notebook: file:///home/renich/Notes
DEBUG: Loading /home/renich/Notes/notebook.zim
DEBUG: Cache dir: /home/renich/Notes/.zim
DEBUG: Index database file: /home/renich/Notes/.zim/index.db
DEBUG: Loading /home/renich/Notes/.zim/state.conf
INFO: Starting background index update
DEBUG: Action: set_pathbar_recent
INFO: No VCS detected
INFO: Open page: <FileStorePage: CloudSigma:test:subpage> (<HistoryRecord: CloudSigma:test:subpage>)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 607, in set_current_folder
    if (self.plugin.uistate['active'] ):
KeyError: 'active'
DEBUG: Sending to daemon: ["ping",[],{}]

DEBUG: Daemon replied: "Ack"
WARNING: Could not find all icon sizes for the application icon
DEBUG: Wrote /home/renich/.config/zim/preferences.conf
INFO: Accelerator changed for <Actions>/CalendarPlugin/show_calendar
DEBUG: Action: toggle_spellcheck
INFO: Index update done
DEBUG: Drag data requested, we have internal path "CloudSigma:test:subpage"
DEBUG: Dropped <Path: CloudSigma:test:subpage> after <IndexPath: introbella>
DEBUG: Opening ProgressBarDialog
DEBUG: Move <Path: CloudSigma:test:subpage> to <Path: subpage> (True)
INFO: Rename /home/renich/Notes/CloudSigma/test/subpage.txt to /home/renich/Notes/subpage.txt
INFO: Rename /home/renich/Notes/CloudSigma/test/subpage to /home/renich/Notes/subpage
DEBUG: Updating links in <FileStorePage: subpage> (was <Path: CloudSigma:test:subpage>)
DEBUG: Wrote /home/renich/Notes/subpage.txt
DEBUG: Updating links in <FileStorePage: subpage:sub-subpage> (was <Path: CloudSigma:test:subpage:sub-subpage>)
DEBUG: Wrote /home/renich/Notes/subpage/sub-subpage.txt
INFO: Updating index
INFO: Index update done
INFO: Starting background index update
INFO: Open page: <FileStorePage: subpage> (<Path: subpage>)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 607, in set_current_folder
    if (self.plugin.uistate['active'] ):
KeyError: 'active'
DEBUG: Wrote /home/renich/Notes/.zim/state.conf
INFO: Index update done
DEBUG: Drag data requested, we have internal path "subpage"
DEBUG: Dropped <Path: subpage> into <IndexPath: CloudSigma:test>
DEBUG: Opening ProgressBarDialog
DEBUG: Move <Path: subpage> to <Path: CloudSigma:test:subpage> (True)
INFO: Rename /home/renich/Notes/subpage.txt to /home/renich/Notes/CloudSigma/test/subpage.txt
INFO: Rename /home/renich/Notes/subpage to /home/renich/Notes/CloudSigma/test/subpage
DEBUG: Updating links in <FileStorePage: CloudSigma:test:subpage> (was <Path: subpage>)
DEBUG: Wrote /home/renich/Notes/CloudSigma/test/subpage.txt
DEBUG: Updating links in <FileStorePage: CloudSigma:test:subpage:sub-subpage> (was <Path: subpage:sub-subpage>)
DEBUG: Wrote /home/renich/Notes/CloudSigma/test/subpage/sub-subpage.txt
INFO: Updating index
INFO: Index update done
INFO: Starting background index update
INFO: Open page: <FileStorePage: CloudSigma:test:subpage> (<Path: CloudSigma:test:subpage>)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 607, in set_current_folder
    if (self.plugin.uistate['active'] ):
KeyError: 'active'
DEBUG: Wrote /home/renich/Notes/.zim/state.conf
INFO: Index update done
DEBUG: Action: delete_page
DEBUG: Pageindex has focus
DEBUG: Opening dialog "Delete Page - Zim"
DEBUG: Dialog response OK
DEBUG: Opening ProgressBarDialog
INFO: Remove file: /home/renich/Notes/CloudSigma/test.txt
INFO: Remove file tree: /home/renich/Notes/CloudSigma/test
INFO: Open page: <FileStorePage: CloudSigma:test:subpage:sub-CloudSigma:test:subpage> (<HistoryRecord: CloudSigma:test:subpage:sub-CloudSigma:test:subpage>)
DEBUG: Found template '_New' for <FileStorePage: CloudSigma:test:subpage:sub-CloudSigma:test:subpage>
INFO: Loading template from: /usr/share/zim/templates/wiki/_New.txt
/usr/lib/python2.7/site-packages/zim/gui/pageindex.py:583: GtkWarning: gtktreeview.c:6070 (validate_visible_area): assertion `has_next' failed.
There is a disparity between the internal view of the GtkTreeView,
and the GtkTreeModel.  This generally means that the model has changed
without letting the view know.  Any display from now on is likely to
be incorrect.

  self.set_cursor(treepath)
/usr/lib/python2.7/site-packages/zim/gui/pageindex.py:583: GtkWarning: gtktreeview.c:5011 (gtk_tree_view_bin_expose): assertion `has_next' failed.
There is a disparity between the internal view of the GtkTreeView,
and the GtkTreeModel.  This generally means that the model has changed
without letting the view know.  Any display from now on is likely to
be incorrect.

  self.set_cursor(treepath)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 604, in set_current_folder
    if (self.plugin.uistate['active']):
KeyError: 'active'
DEBUG: Closed dialog "Delete Page"
/usr/lib/python2.7/site-packages/zim/gui/__init__.py:488: GtkWarning: gtktreeview.c:6070 (validate_visible_area): assertion `has_next' failed.
There is a disparity between the internal view of the GtkTreeView,
and the GtkTreeModel.  This generally means that the model has changed
without letting the view know.  Any display from now on is likely to
be incorrect.

  gtk.main()
/usr/lib/python2.7/site-packages/zim/gui/__init__.py:488: GtkWarning: gtktreeview.c:5011 (gtk_tree_view_bin_expose): assertion `has_next' failed.
There is a disparity between the internal view of the GtkTreeView,
and the GtkTreeModel.  This generally means that the model has changed
without letting the view know.  Any display from now on is likely to
be incorrect.

  gtk.main()

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_get_value: assertion `VALID_ITER(iter, tree_model)' failed
/usr/lib/python2.7/site-packages/zim/gui/__init__.py:488: Warning: g_object_set_property: assertion `G_IS_VALUE (value)' failed
  gtk.main()
/usr/lib/python2.7/site-packages/zim/gui/__init__.py:488: Warning: g_value_unset: assertion `G_IS_VALUE (value)' failed
  gtk.main()

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_get_value: assertion `VALID_ITER(iter, tree_model)' failed

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_get_value: assertion `VALID_ITER(iter, tree_model)' failed

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_get_value: assertion `VALID_ITER(iter, tree_model)' failed

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_get_value: assertion `VALID_ITER(iter, tree_model)' failed

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_get_value: assertion `VALID_ITER(iter, tree_model)' failed

** (zim:14166): CRITICAL **: pygtk_generic_tree_model_iter_parent: assertion `VALID_ITER(child, tree_model)' failed
/usr/lib/python2.7/site-packages/zim/gui/__init__.py:488: GtkWarning: gtktreeview.c:5029 (gtk_tree_view_bin_expose): assertion `has_parent' failed.
There is a disparity between the internal view of the GtkTreeView,
and the GtkTreeModel.  This generally means that the model has changed
without letting the view know.  Any display from now on is likely to
be incorrect.

  gtk.main()
DEBUG: Wrote /home/renich/Notes/.zim/state.conf
INFO: Open page: <FileStorePage: CloudSigma:test> (<IndexPath: CloudSigma:test>)
DEBUG: Found template '_New' for <FileStorePage: CloudSigma:test>
INFO: Loading template from: /usr/share/zim/templates/wiki/_New.txt
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 604, in set_current_folder
    if (self.plugin.uistate['active']):
KeyError: 'active'
DEBUG: Wrote /home/renich/Notes/.zim/state.conf
INFO: Open page: <FileStorePage: introbella> (<IndexPath: introbella>)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 607, in set_current_folder
    if (self.plugin.uistate['active'] ):
KeyError: 'active'
DEBUG: Wrote /home/renich/Notes/.zim/state.conf
INFO: Open page: <FileStorePage: Movies> (<IndexPath: Movies>)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 604, in set_current_folder
    if (self.plugin.uistate['active']):
KeyError: 'active'
INFO: Open page: <FileStorePage: CloudSigma> (<IndexPath: CloudSigma>)
DEBUG: Wrote /home/renich/Notes/.zim/state.conf
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 677, in on_open_page
    self.set_current_folder(str(self.plugin.ui.notebook.get_attachments_dir(page)+os.sep))
  File "/usr/lib/python2.7/site-packages/zim/plugins/attachmentbrowser.py", line 607, in set_current_folder
    if (self.plugin.uistate['active'] ):
KeyError: 'active'
DEBUG: Action: close (delete-event)
Comment 5 Robin Lee 2011-02-15 12:02:46 EST

*** This bug has been marked as a duplicate of bug 657928 ***

Note You need to log in before you can comment on or make changes to this bug.